#!/usr/bin/env ruby

# Blatantly ripped off from UserModel.m in IOS version

def goldToCoinsConversionRatio(currentExperienceLevel)
	animalCost =  [
		0, # dummy
		25,
		80,
		520,
		7000,
		8500,
		16000,
		40000,
		45000,
		57000,
		200000,
		400000,
		320000,
		420000,
		490000,
		550000,
		600000,
		2500000,
		4000000,
		4500000,
		5200000,
		7000000,
		8500000,
		16500000,
		17000000,
		17500000,
		21000000,
		22000000,
		25000000,
		27000000
	]	
	
	boxed_level = [[currentExperienceLevel,29].min,3].max
	currentAnimalCost = animalCost[boxed_level]
	oneAnimalCostInDollars =
	if (currentExperienceLevel <= 10) 
		0.97
	elsif (currentExperienceLevel <= 20)
		2.98
	else
		3.96
	end
	goldPerDollar = 10
	conversionRatio = (currentAnimalCost)/(oneAnimalCostInDollars * goldPerDollar)
	conversionRatio.floor
end

puts "level,goldToCoinsConversionRatio\n"
puts "Integer,Integer"
(0..30).each do |level|
	puts "#{level},#{goldToCoinsConversionRatio(level)}"
end
